package com.persagy.apm.energyalarmstarter.alarmdata.model.dto.alarmconfig;

import com.persagy.apm.energyalarmstarter.alarmdata.feign.AlarmUrlParam;
import com.persagy.apm.energyalarmstarter.alarmdata.model.dto.AlarmCondition;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 创建报警批注dto
 *
 * @author lixing
 * @version V1.0 2021/9/15 9:10 下午
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class AddAlarmCommentDTO extends AlarmUrlParam {
    private String id;
    private String recordId;
    private String content;
    private String createUser;
    private Date createTime;
    //	private Date updateTime;
    //	private String updateUser;
    //	private Integer valid;
    private String projectId;
    private String groupCode;
}